/*
 *
 *    OPEN-XCHANGE legal information
 *
 *    All intellectual property rights in the Software are protected by
 *    international copyright laws.
 *
 *
 *    In some countries OX, OX Open-Xchange, open xchange and OXtender
 *    as well as the corresponding Logos OX Open-Xchange and OX are registered
 *    trademarks of the OX Software GmbH group of companies.
 *    The use of the Logos is not covered by the GNU General Public License.
 *    Instead, you are allowed to use these Logos according to the terms and
 *    conditions of the Creative Commons License, Version 2.5, Attribution,
 *    Non-commercial, ShareAlike, and the interpretation of the term
 *    Non-commercial applicable to the aforementioned license is published
 *    on the web site http://www.open-xchange.com/EN/legal/index.html.
 *
 *    Please make sure that third-party modules and libraries are used
 *    according to their respective licenses.
 *
 *    Any modifications to this package must retain all copyright notices
 *    of the original copyright holder(s) for the original code used.
 *
 *    After any such modifications, the original and derivative code shall remain
 *    under the copyright of the copyright holder(s) and/or original author(s)per
 *    the Attribution and Assignment Agreement that can be located at
 *    http://www.open-xchange.com/EN/developer/. The contributing author shall be
 *    given Attribution for the derivative code and a license granting use.
 *
 *     Copyright (C) 2016-2020 OX Software GmbH
 *     Mail: info@open-xchange.com
 *
 *
 *     This program is free software; you can redistribute it and/or modify it
 *     under the terms of the GNU General Public License, Version 2 as published
 *     by the Free Software Foundation.
 *
 *     This program is distributed in the hope that it will be useful, but
 *     WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *     or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 *     for more details.
 *
 *     You should have received a copy of the GNU General Public License along
 *     with this program; if not, write to the Free Software Foundation, Inc., 59
 *     Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

package com.openexchange.guard.common.util;

/**
 * {@link GuardMimeHeaders}
 *
 * @author <a href="mailto:benjamin.gruedelbach@open-xchange.com">Benjamin Gruedelbach</a>
 * @since v7.10.2
 */
public class GuardMimeHeaders {

    /**
     * A header which contains information about the signature verification results of the mime message
     */
    public static final String X_GUARD_SIGNATURE_RESULT = "X-Guard-Signature-Result";

    /**
     * Signals the original PGPFormat after decrypting a mime mesage.
     * "inline" for  PGP/INLINE. Everything else for PGP/MIME:
     */
    public static final String X_GUARD_PGP_FORMAT = "X-PGPFormat";

    /**
     * For draft handling
     */
    public static final String X_GUARD_SECURITY = "X-Security";

    /**
     * For storing the 2nd factor PIN in the original email (sent-folder) in order to be recovered by the sender
     */
    public static final String X_GUARD_PIN = "X-OxGuard-PIN";

    /**
     * Contains information about whether or not the MDC check of the message failed during decryption
     */
    public static final String X_GUARD_FAILED_INTEGRITY = "X-Guard-Failed-Integrity";

    /**
     * Mail Reference for a reply to a guest message.
     */
    public static final String X_GUARD_MSG_REF = "X-Guard-msg-ref";

    @Deprecated
    public static final String X_GUARD_LEGACY_AUTH = "X-OX-GUARD-AUTH";
    @Deprecated
    public static final String X_GUARD_LEGACY_MARKER = "X-OX-Guard-Marker";
    @Deprecated
    public static final String X_GUARD_LEGACY_PGP_INLINE = "X-Oxguard-PGPInline";
}
